// TrueFence based on id's proto_fence, but you can shoot through it.

textures/ut_druglord/truefence
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
	cull none
        nopicmip

	{
		map textures/ut_druglord/truefence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_druglord/glass_green_lit
{
	q3map_surfacelight 500
	qer_editorimage textures/ut_druglord/glass_green.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_druglord/glass_green.tga
		blendfunc GL_ONE GL_ONE
	}

}

textures/ut_druglord/camo_nonsolid
{
	qer_editorimage textures/ut_druglord/camo.tga
	surfaceparm nonsolid
	{
		map textures/ut_druglord/camo.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_druglord/light_glass
{
	qer_editorimage textures/ut_druglord/shiny3.tga
	qer_trans 	0.5
	surfaceparm trans
	surfaceparm nolightmap

	{
		map textures/ut_druglord/glassfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut_druglord/green-camo-net
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_druglord/green-camo-net.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ut_druglord/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_druglord/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// Skybox

textures/ut_druglord/druglord_sky
{
	qer_editorimage textures/ut_druglord/druglord_sky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_sun 1 .725 .3725 200 30 70
//	q3map_sun 1 .725 .3725 175 120 30
	skyparms textures/ut_druglord/env/dlsky - -
}


// Terrain

textures/ut_druglord/dlterrain_0

{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/ut_druglord/blackrock_1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_druglord/dlterrain_1

{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/ut_druglord/blackrock_2.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_druglord/dlterrain_2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/ut_druglord/blackrock_3.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_druglord/dlterrain_0to1

{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/ut_druglord/blackrock_1.tga
	}
	{
		map textures/ut_druglord/blackrock_2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_druglord/dlterrain_0to2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/ut_druglord/blackrock_1.tga
	}
	{
		map textures/ut_druglord/blackrock_3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_druglord/dlterrain_1to2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/ut_druglord/blackrock_2.tga
	}
	{
		map textures/ut_druglord/blackrock_3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}